import { ArgumentSpec } from "@phylum/command";
export declare const CONTEXT: {
    name: string;
    alias: string;
    defaultValue: string;
};
export declare const RUNNER_ENV: {
    name: string;
    alias: string;
    type: ((value: string, spec: ArgumentSpec) => import("./runners").VcRunnerEnv) & {
        displayName: string;
    };
};
export declare const PACKAGE_NAME_ARG: ((value: string, spec: ArgumentSpec) => string) & {
    displayName: string;
};
export declare const PACKAGE_NAME: {
    name: string;
    alias: string;
    type: ((value: string, spec: ArgumentSpec) => string) & {
        displayName: string;
    };
};
export declare const PACKAGE_TYPE: {
    name: string;
    alias: string;
    type: ((value: string, spec: ArgumentSpec) => import("./config").VcPackageType) & {
        displayName: string;
    };
};
export declare function isValidPackageName(name: string): boolean;
