"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@phylum/command");
const config_1 = require("../config");
const fs_extra_1 = require("fs-extra");
const cli_args_1 = require("../cli-args");
async function run(command, argv) {
    const args = new command_1.CommandSpec([cli_args_1.CONTEXT]).parse(argv);
    const config = await config_1.loadConfig(args.context);
    await fs_extra_1.emptyDir(config.outDir);
}
exports.run = run;
//# sourceMappingURL=clean.js.map