/// <reference types="node" />
/// <reference types="vinyl-fs" />
declare type Input = NodeJS.ReadableStream;
declare type Output = NodeJS.WritableStream | NodeJS.ReadWriteStream;
export interface Route {
    readonly map?: RegExp;
    readonly to: Output;
}
export declare class Pipes {
    private readonly outputs;
    pipe(input: Input, output: Output): this;
    route(input: NodeJS.ReadableStream, routes: Route[]): this;
    split(input: NodeJS.ReadableStream, handlers: ((pipes: Pipes, input: NodeJS.ReadableStream) => void)[]): this;
    run(): Promise<unknown>;
}
export {};
