"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const default_adapter_1 = require("./default-adapter");
async function createI18nAdapter(config) {
    switch (config.adapter) {
        case undefined:
        case "default":
            return new default_adapter_1.DefaultI18nAdapter();
        default: throw new Error(`Unable to create adapter: "${config.adapter}"`);
    }
}
exports.createI18nAdapter = createI18nAdapter;
//# sourceMappingURL=index.js.map