export interface I18nMessages {
    [partialKey: string]: I18nMessages | string;
}
export declare class I18nMergeError extends Error {
    constructor(path: string[]);
}
export declare function parseMessagePath(path: string): string[];
export declare function mergeMessages(target: I18nMessages, path: string[], messages: I18nMessages | string): void;
export declare function getLocaleMessageAssetPath(locale: string): string;
