import { VcConfig } from "../config";
import { ArgumentSpec } from "@phylum/command";
export interface VcRunnerContext {
    readonly watch: boolean;
    readonly env: VcRunnerEnv;
}
export declare type VcRunnerEnv = "development" | "production" | "testing";
export declare const VC_RUNNER_ENVS: Set<VcRunnerEnv>;
export declare const VC_RUNNER_ENVS_STR: string;
export declare const VC_RUNNER_ENV_ARG: ((value: string, spec: ArgumentSpec) => VcRunnerEnv) & {
    displayName: string;
};
export declare function run(config: VcConfig, options: VcRunnerContext): Promise<void>;
