/// <reference types="node" />
import { Transform } from "stream";
import Vinyl = require("vinyl");
import { VueDecomposer } from "./vue/decompose";
import { VueError } from "./vue/error";
export interface PostprocessorOptions {
    error(error: VueError): void;
    readonly vueDecomposer: VueDecomposer;
}
export declare function createPostprocessor(options: PostprocessorOptions): Transform;
export declare function postprocess(this: Transform, chunk: Vinyl, decomposer: VueDecomposer): Promise<void>;
